<?php
defined('_JEXEC') or die;

if (! class_exists('PhocaGalleryLoader')) {
    require_once( JPATH_ADMINISTRATOR.'/components/com_phocagallery/libraries/loader.php');
}

phocagalleryimport( 'phocagallery.file.fileuploadmultiple' );
// phocagalleryimport( 'phocagallery.file.fileuploadsingle' );


class PlgSystemPhocagalleryImagelistExtended extends JPlugin {
	function onAfterRender() {
		$app	= JFactory::getApplication();
		if($app->input->getString('option', FALSE)=='com_phocagallery') {
			if($app->input->getString('view', FALSE) == 'phocagallerym') {
				$buffer = JResponse::getBody();
				$currentPath = self::getCurrentPath($buffer);
				$buffer = self::replaceFoldercontentTable($buffer, $currentPath);
				$buffer = preg_replace("/<th width=\"20\">&nbsp;<\/th><th width=\"95%\">(.*?)<\/th><\/tr><\/thead>/", "<th width=\"20\">&nbsp;</th><th colspan=\"3\">$1</th>", $buffer);
				$buffer = preg_replace("/<tbody><tr><td>&nbsp;<\/td><td(.*)..<\/a><\/td><\/tr>/", "<tbody><tr><td>&nbsp;</td><td$1..</a></td><td></td><td></td></tr>", $buffer);
				JResponse::setBody($buffer);
				return TRUE;
			}
		}
	}
	
	private static function getCurrentPath($body) {
return PhocaGalleryPath::getPath()->image_abs;
// 		$suchmuster = '/<div class=\"ph-admin-path\">.*: (.*)<\/div>/';
// 		preg_match($suchmuster, $body, $treffer);
// 		if(isset($treffer[1])) {
// 			return $treffer[1];
// 		} else {
// 			return false;
// 		}
	}

	private static function replaceFoldercontentTable($body, $currentPath) {
		$suchmuster = '/<tr> <td><input type="checkbox".*?<td>(.*?)<\/td><\/tr>/';
		preg_match_all($suchmuster, $body, $treffer);
		$replace = array();
		if(isset($treffer[1]) && is_array($treffer[1])) {
			for($i=0; $i<count($treffer[1]); $i++) {
				if(preg_match("/>(.*)</", $treffer[1][$i], $foo)) {
					$name = $foo[1];
				} else {
					$name = $treffer[1][$i];
				}
				$path=$currentPath.$name;
				if(file_exists($path)) {
					$fctime = date("Y-m-d H:i:s", filectime($path));
					$fsize = round(filesize($path)/1024, 0). " kB";
				} else {
					$fctime = "";
					$fsize = "";
				}
// 				echo "\n";
// 				$replace[] = substr($treffer[0][$i], 0, -5)."<td style=\"width:100px;\">".date("Y-m-d H:i:s.", filectime($path))."</td><td style=\"width:25%;\">".filesize($path). " Byte"."</td>"."</tr>";
				$replace[] = substr($treffer[0][$i], 0, -5)."<td>".$fctime."</td><td>".$fsize."</td>"."</tr>";
// 				$replace[] = substr($treffer[0][$i], 0, -5)."<td>".date("Y-m-d H:i:s", filectime($path))."<br/>".filesize($path). " Byte"."</td></td>"."</tr>";
// 				$replace[] = substr($treffer[0][$i], 0, -10)." <small>".date("Y-m-d H:i:s.", filectime($path))." ".filesize($path). " Byte</small>"."</td>"."</tr>";
				$muster[] = $treffer[0][$i];
			}
			return str_replace($muster, $replace, $body);
		} else {
			return $body;
		}
	}
}